/* mhtclStubInit.c --
   
   Part of: MHTCL
   Contents: stub table initialisation
   Date: Sun Aug 10, 2003
   
   Abstract
   
   
   
   Copyright (c) 2003, 2004 Marco Maggi
   
   This is free software; you  can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software  Foundation; either version  2.1 of the License,  or (at
   your option) any later version.
   
   This library  is distributed in the  hope that it will  be useful, but
   WITHOUT   ANY  WARRANTY;   without  even   the  implied   warranty  of
   MERCHANTABILITY  or FITNESS  FOR A  PARTICULAR PURPOSE.   See  the GNU
   Lesser General Public License for more details.
   
   You  should have  received a  copy of  the GNU  Lesser  General Public
   License along  with this library; if  not, write to  the Free Software
   Foundation, Inc.,  59 Temple Place,  Suite 330, Boston,  MA 02111-1307
   USA
*/

#include "mhtclInt.h"

CONST Mhtcl_StubTable mhtclStub = {

  Mhtcl_OpenHashThread,
  Mhtcl_OpenHMACThread,

  Mhtcl_Digest,
  Mhtcl_Close,
  Mhtcl_Copy,
  Mhtcl_Abort,
  Mhtcl_Keygen,

  Mhtcl_OpenHashChannel,
  Mhtcl_MakeChannelHash,

  Mhtcl_GetHashAlgFromObj,
  Mhtcl_GetKeygenAlgFromObj,
  Mhtcl_HashExists,
  Mhtcl_KeygenExists,
  Mhtcl_IsHMACAlgo,
  Mhtcl_HashBlockSize,
  Mhtcl_KeygenUsesSalt,
  Mhtcl_KeygenUsesCount,
  Mhtcl_KeygenSaltSize,
  Mhtcl_KeygenMaxKeySize,
  Mhtcl_KeygenUsesHash,
  Mhtcl_ListHashAlgos,
  Mhtcl_ListKeygenAlgos,

  Mhtcl_MhashVersion
};


/* end of file */
