/* mhtcl.c --
   
   Part of: MHTCL
   Contents: external header file
   Date: Sun Nov  3, 2002
   
   Abstract
   
	This file  must be  included by all  the foreign  TCL extensions
	that want to access MHTCL functions at the C level.
   
   Copyright (c) 2002, 2003, 2004 Marco Maggi
   
   This library is free software;  you can redistribute it and/or modify
   it  under the  terms  of the  GNU  Lesser General  Public License  as
   published by the Free Software  Foundation; either version 2.1 of the
   License, or (at your option) any later version.
   
   This library is  distributed in the hope that it  will be useful, but
   WITHOUT  ANY   WARRANTY;  without   even  the  implied   warranty  of
   MERCHANTABILITY  or FITNESS FOR  A PARTICULAR  PURPOSE.  See  the GNU
   Lesser General Public License for more details.
   
   You  should have received  a copy  of the  GNU Lesser  General Public
   License along with  this library; if not, write  to the Free Software
   Foundation, Inc.,  59 Temple Place, Suite 330,  Boston, MA 02111-1307
   USA
   
   $Id: mhtcl.h,v 1.2.1.2 2004/01/12 06:58:28 marco Exp $
*/


#ifndef __MHTCLINT_H
#define __MHTCLINT_H 1


/** ------------------------------------------------------------
 ** Header files.
 ** ----------------------------------------------------------*/

#include <tcl.h>
#include "tclmore.h"

TCLMORE_BEGIN_C_DECL

#include "mhtclDecls.h"

TCLMORE_END_C_DECL

#endif /* _MHTCLINT_H */


/* end of file */
