# $Id: listsaltsize.tcl,v 1.2.1.1 2003/08/24 04:59:23 marco Exp $

source [file join [file dirname [info script]] libs.tcl]
load $libfile

foreach alg [mhash info keygen list] {
    if { [mhash info keygen usessalt $alg] } {
	set size [mhash info keygen saltsize $alg]
	if { $size == 0 } { set size "infinite" }
	puts "$alg salt size $size"
    } else {
	puts "$alg uses no salt"
    }
}
exit 0

### end of file
